Build with Gtk3

Bug #781174 reported by Rahman Yusri Aftian on 2011-05-11
This bug report is a duplicate of:  Bug #724369: Port to gnome-panel 3 and gtk 3. Edit Remove
28
This bug affects 5 people
Affects Status Importance Assigned to Milestone
indicator-applet (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: indicator-applet

Currently, indicator-applet doesn't work with GNOME 3's Panel, because it still uses Gtk2. It just needs building with Gtk3.

Sebastien Bacher (seb128) wrote :

thank you for your bug report but no need to open bugs for gtk3 updates they will happen this cycle

Changed in indicator-applet (Ubuntu):
importance: Undecided → Wishlist
Tobias Wolf (towolf) wrote :

This item is in the Oneiric blueprints for Gnome 3 migration but nothing has happened concerning gnome-panel compatibility. All the other indicator packages have been migrated.

Is this being followed up on?

Classic session with gnome-panel is being maintained as fallback session. Unfortunately gnome-panel without any indicators is not so useful.

Changed in indicator-applet (Ubuntu):
status: New → Confirmed
Dmitry Shachnev (mitya57) wrote :

Many people still prefer to use classic panels instead of Unity, so we really need indicators support for Panel 3.

Indicator-applet is already ported to DBus API (see bug 671477) and builds without deprecations (bug 655628), so the only thing that is needed to be done is building with Gtk3.

@ted: Will you do this? If no, I can.

summary: - need packaging whit gtk3
+ Build with Gtk3
tags: added: gnome3 gnome3-gtk3
description: updated
Dmitry Shachnev (mitya57) wrote :

One more note: GtkHBox and GtkVBox are now deprecated, and GtkBox (http://developer.gnome.org/gtk3/3.1/GtkBox.html) should be used instead.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers